# e-font

## Name

e-font --

## Synopsis

                EFont;
    enum        EFontStyle;
    EFont*      e_font_from_gdk_name            (const gchar *name);
    EFont*      e_font_from_gdk_font            (GdkFont *font);
    void        e_font_ref                      (EFont *font);
    void        e_font_unref                    (EFont *font);
    gint        e_font_ascent                   (EFont *font);
    gint        e_font_descent                  (EFont *font);
    gchar*      e_font_get_name                 (EFont *font);
    #define     e_font_height                   (f)
    void        e_font_draw_utf8_text           (GdkDrawable *drawable,
                                                 EFont *font,
                                                 EFontStyle style,
                                                 GdkGC *gc,
                                                 gint x,
                                                 gint y,
                                                 const gchar *text,
                                                 gint numbytes);
    int         e_font_utf8_text_width          (EFont *font,
                                                 EFontStyle style,
                                                 const char *text,
                                                 int numbytes);
    int         e_font_utf8_char_width          (EFont *font,
                                                 EFontStyle style,
                                                 char *text);
    const gchar* e_gdk_font_encoding            (GdkFont *font);
    iconv_t     e_iconv_from_gdk_font           (GdkFont *font);
    iconv_t     e_iconv_to_gdk_font             (GdkFont *font);

## Description

## Details

### EFont

    typedef struct _EFont EFont;

### enum EFontStyle

    typedef enum {
    	E_FONT_PLAIN = 0,
    	E_FONT_BOLD = (1 << 0),
    	E_FONT_ITALIC = (1 << 4)
    } EFontStyle;

### e_font_from_gdk_name ()

    EFont*      e_font_from_gdk_name            (const gchar *name);

`name` : |
Returns : |

### e_font_from_gdk_font ()

    EFont*      e_font_from_gdk_font            (GdkFont *font);

`font` : |
Returns : |

### e_font_ref ()

    void        e_font_ref                      (EFont *font);

`font` : |

### e_font_unref ()

    void        e_font_unref                    (EFont *font);

`font` : |

### e_font_ascent ()

    gint        e_font_ascent                   (EFont *font);

`font` : |
Returns : |

### e_font_descent ()

    gint        e_font_descent                  (EFont *font);

`font` : |
Returns : |

### e_font_get_name ()

    gchar*      e_font_get_name                 (EFont *font);

`font` : |
Returns : |

### e_font_height()

    #define e_font_height(f) (e_font_ascent (f) + e_font_descent (f))

`f` : |

### e_font_draw_utf8_text ()

    void        e_font_draw_utf8_text           (GdkDrawable *drawable,
                                                 EFont *font,
                                                 EFontStyle style,
                                                 GdkGC *gc,
                                                 gint x,
                                                 gint y,
                                                 const gchar *text,
                                                 gint numbytes);

`drawable` : |
`font` : |
`style` : |
`gc` : |
`x` : |
`y` : |
`text` : |
`numbytes` : |

### e_font_utf8_text_width ()

    int         e_font_utf8_text_width          (EFont *font,
                                                 EFontStyle style,
                                                 const char *text,
                                                 int numbytes);

`font` : |
`style` : |
`text` : |
`numbytes` : |
Returns : |

### e_font_utf8_char_width ()

    int         e_font_utf8_char_width          (EFont *font,
                                                 EFontStyle style,
                                                 char *text);

`font` : |
`style` : |
`text` : |
Returns : |

### e_gdk_font_encoding ()

    const gchar* e_gdk_font_encoding            (GdkFont *font);

`font` : |
Returns : |

### e_iconv_from_gdk_font ()

    iconv_t     e_iconv_from_gdk_font           (GdkFont *font);

`font` : |
Returns : |

### e_iconv_to_gdk_font ()

    iconv_t     e_iconv_to_gdk_font             (GdkFont *font);

`font` : |
Returns : |